CDN

Get Bandwidth Over Time or by Region

get/cdn/zones/{zone_uuid}/metrics/bandwidth

Get bandwidth over time or grouped by region for a CDN zone.

  • group_by='time': Returns bandwidth over time (default)
  • group_by='region': Returns bandwidth grouped by geographic region

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

zone_uuid*string

Query parameters

minutes?integer
Default60
interval_seconds?integer
Default60
group_by?string
Default"time"
country?string | null
asn?string | null
status_range?string | null
status?string | null
cache_status?string | null
device_type?string | null
path_prefix?string | null

Responses

Successful Response

application/json

CDNBandwidthByRegionResponse | CDNBandwidthTimeseriesResponse
One of
CDNBandwidthByRegionResponse

Bandwidth grouped by geographic region (group_by=region).

Properties (4)
zone_uuid*string
domain*string
group_by*string
data*array<CDNBandwidthRegionItem>
Properties (3)
region*string | null
bandwidth*integer | number | null
One of
integer
number
requests*integer | number | null
One of
integer
number
CDNBandwidthTimeseriesResponse

Bytes per second over time (group_by=time).

Properties (5)
zone_uuid*string
domain*string
interval_seconds*integer
group_by*string
data*array<CDNTimeseriesPoint>
Properties (2)
timestamp*string
value*number